package netscape.applet;

import netscape.debug.Debugger;

class AppletThreadGroup extends ThreadGroup {
   DerivedAppletFrame viewer;

   AppletThreadGroup(String var1, DerivedAppletFrame var2) {
      super(AppletThreadKiller.clientThreadGroup, var1);
      this.viewer = var2;
      SecurityManager.enablePrivilege("UniversalThreadGroupAccess");
      ((ThreadGroup)this).setMaxPriority(6);
   }

   public void uncaughtException(Thread var1, Throwable var2) {
      if (!(var2 instanceof ThreadDeath)) {
         String var3 = var2.getMessage();
         this.viewer.showAppletException(var2, var3);
         Debugger.uncaughtException(var1, var2);
      }
   }

   void destroyItDamnIt() {
      ((ThreadGroup)this).destroy();
      this.viewer = null;
   }
}
