package netscape.applet;

import java.net.URL;
import netscape.application.Application;
import netscape.util.Enumeration;

public class EmbeddedProgramTracker {
   EmbeddedObject eop;

   EmbeddedProgramTracker(EmbeddedObject var1) {
      this.eop = var1;
   }

   public String className() {
      return this.eop.className;
   }

   public URL documentURL() {
      return this.eop.documentURL();
   }

   public URL codebaseURL() {
      return this.eop.codebaseURL();
   }

   public String attribute(String var1) {
      return (String)this.eop.attributes().get(var1.toLowerCase());
   }

   public String parameter(String var1) {
      return (String)this.eop.parameters().get(var1.toLowerCase());
   }

   public Enumeration parameterKeys() {
      return this.eop.parameters().keys();
   }

   public Enumeration parameterValues() {
      return this.eop.parameters().elements();
   }

   public Application application() {
      return this.eop.task.application();
   }
}
