package netscape.applet;

import java.net.URL;
import netscape.application.Application;

public final class ProgramManager {
   public static void startProgram(String var0, String var1, String var2) {
      if (var1 == null) {
         throw new Error("No class name specified for creating program");
      } else if (var0 != null && !var0.equals("")) {
         URL var3 = (URL)System.getSecurityManager().getSecurityContext();
         Task var4 = Task.taskNamed(var3, var0);
         if (var4 != null) {
            if (EmbeddedProgramTaskOwner.findJSProgramForTask(var4) == null) {
               new EmbeddedObject(var3, var0, (String)null, var2);
            }

         } else {
            new EmbeddedObject(var3, var0, var1, var2);
         }
      } else {
         throw new Error("No program name specified for creating program");
      }
   }

   public static Application findProgram(String var0) {
      URL var1 = (URL)System.getSecurityManager().getSecurityContext();
      Task var2 = Task.taskNamed(var1, var0);
      return var2 == null ? null : var2.application();
   }
}
