package netscape.applet;

import java.applet.AppletContext;
import java.applet.AppletStub;
import java.net.URL;

class TaskAppletStub implements AppletStub {
   TaskAppletContext context;
   EmbeddedProgramTaskOwner taskOwner;

   TaskAppletStub(TaskAppletContext var1) {
      this.context = var1;
      this.taskOwner = var1.taskOwner;
   }

   public void appletResize(int var1, int var2) {
   }

   public AppletContext getAppletContext() {
      return this.context;
   }

   public URL getCodeBase() {
      return this.taskOwner.codebaseURL();
   }

   public URL getDocumentBase() {
      return this.taskOwner.documentURL();
   }

   public String getParameter(String var1) {
      return (String)this.taskOwner.parameters().get(var1.toLowerCase());
   }

   public boolean isActive() {
      return true;
   }
}
