package netscape.applet;

import java.net.URL;

class TaskID {
   URL codebase;
   URL archive;
   String name;

   TaskID(URL var1, String var2) {
      this.codebase = var1;
      this.name = var2;
   }

   public int hashCode() {
      return this.codebase == null ? this.name.hashCode() : this.codebase.hashCode() + this.name.hashCode();
   }

   public boolean equals(Object var1) {
      if (var1 != null && var1 instanceof TaskID) {
         TaskID var2 = (TaskID)var1;
         if (this.codebase == null) {
            return this.name.equals(var2.name);
         } else {
            return this.codebase.equals(var2.codebase) && this.name.equals(var2.name);
         }
      } else {
         return false;
      }
   }
}
