package netscape.applet;

import java.applet.Applet;
import java.awt.AWTError;

public abstract class AppletHostToolkit {
   private static AppletHostToolkit toolkit;

   protected static AppletHostToolkit getDefaultToolkit() {
      if (toolkit == null) {
         SecurityManager.enablePrivilege("UniversalPropertyRead");
         String var0 = System.getProperty("awt.hosttoolkit", "sun.awt.motif.MAppletHostToolkit");
         SecurityManager.revertPrivilege();

         try {
            toolkit = (AppletHostToolkit)Class.forName(var0).newInstance();
         } catch (ClassNotFoundException var1) {
            throw new AWTError("AppletHostToolkit not found: " + var0);
         } catch (InstantiationException var2) {
            throw new AWTError("Could not instantiate AppletHostToolkit: " + var0);
         } catch (IllegalAccessException var3) {
            throw new AWTError("Could not access AppletHostToolkit: " + var0);
         }
      }

      return toolkit;
   }

   public abstract void printApplet(Applet var1, String var2, int var3);
}
