package netscape.applet;

import java.awt.Dialog;
import java.awt.EventQueue;
import java.awt.Window;
import java.util.Hashtable;
import netscape.security.PrivilegeManager;

public class AppletServices {
   private static DerivedAppletFrame getApplet(ThreadGroup var0) {
      if (var0 != null) {
         return var0 instanceof AppletThreadGroup ? ((AppletThreadGroup)var0).viewer : getApplet(var0.getParent());
      } else {
         return null;
      }
   }

   public static Thread getAppletThread(ThreadGroup var0) {
      if (var0 != null) {
         return var0 instanceof AppletThreadGroup ? ((AppletThreadGroup)var0).viewer.getThread() : getAppletThread(var0.getParent());
      } else {
         return null;
      }
   }

   public static EventQueue getAppletQueue(ThreadGroup var0) {
      if (var0 != null) {
         return var0 instanceof AppletThreadGroup ? ((AppletThreadGroup)var0).viewer.eq : getAppletQueue(var0.getParent());
      } else {
         return null;
      }
   }

   public static void addTopLevelWindow(Window var0, ThreadGroup var1) {
      DerivedAppletFrame var2 = getApplet(var1);
      if (var2 != null) {
         var2.addTopLevelWindow(var0);
      }

   }

   public static void removeTopLevelWindow(Window var0, ThreadGroup var1) {
      DerivedAppletFrame var2 = getApplet(var1);
      if (var2 != null) {
         var2.removeTopLevelWindow(var0);
      }

   }

   public static Window[] getTopLevelWindows(ThreadGroup var0) {
      DerivedAppletFrame var1 = getApplet(var0);
      return var1 != null ? var1.getTopLevelWindows() : null;
   }

   public static Dialog swapTopModalDialog(Dialog var0, ThreadGroup var1) {
      DerivedAppletFrame var2 = getApplet(var1);
      return var2 != null ? var2.swapTopModalDialog(var0) : null;
   }

   public static Hashtable getCodebaseEnv() {
      PrivilegeManager.checkPrivilegeEnabled("CodebaseEnvironment");
      Object var0 = getCurrentClassLoader();
      if (var0 == null) {
         return null;
      } else if (!(var0 instanceof AppletClassLoader)) {
         return null;
      } else {
         Hashtable var1 = ((AppletClassLoader)var0).getCodebaseEnv();
         return var1;
      }
   }

   public static Class loadClass(String var0) throws ClassNotFoundException {
      Object var1 = getCurrentClassLoader();
      if (var1 == null) {
         return null;
      } else {
         return !(var1 instanceof ClassLoader) ? null : ((ClassLoader)var1).loadClass(var0);
      }
   }

   private static native Object getCurrentClassLoader();
}
