package netscape.applet;

class DoubleLinkedList {
   DoubleLinkedList next = this;
   DoubleLinkedList previous = this;

   void appendElement(DoubleLinkedList var1) {
      var1.next = this;
      var1.previous = this.previous;
      this.previous.next = var1;
      this.previous = var1;
   }

   void addElement(DoubleLinkedList var1) {
      var1.previous = this;
      var1.next = this.next;
      this.next.previous = var1;
      this.next = var1;
   }

   DoubleLinkedList remove() {
      this.previous.next = this.next;
      this.next.previous = this.previous;
      return this.next;
   }

   boolean isEmptyList() {
      return this.next == this;
   }

   public String toString() {
      String var1 = new String("List(");
      var1 = var1 + this.printElement();
      if (this.next != this) {
         var1 = var1 + " Next(" + this.next.toString(this);
      }

      var1 = var1 + ")";
      return var1;
   }

   public String toString(DoubleLinkedList var1) {
      String var2 = this.printElement();
      if (this.next != var1) {
         var2 = var2 + " Next(" + this.next.toString(var1);
      }

      var2 = var2 + ")";
      return var2;
   }

   protected String printElement() {
      return new String("ListEl");
   }
}
