package netscape.applet;

import java.io.PrintStream;
import java.util.Vector;

class Mapping {
   Vector keys = new Vector();
   Vector values = new Vector();

   synchronized int size() {
      return this.keys.size();
   }

   synchronized Object keyAt(int var1) {
      return this.keys.elementAt(var1);
   }

   synchronized Object elementAt(int var1) {
      return this.values.elementAt(var1);
   }

   void dump(PrintStream var1, int var2) {
      MozillaAppletContext.indent(var1, var2);
      var1.println(this);
      MozillaAppletContext.indent(var1, var2 + 2);
      var1.println("keys: " + this.keys);
      MozillaAppletContext.indent(var1, var2 + 2);
      var1.println("vals: " + this.values);
   }

   synchronized Object get(Object var1) {
      int var2 = this.keys.size();

      for(int var3 = 0; var3 < var2; ++var3) {
         if (this.keys.elementAt(var3).equals(var1)) {
            return this.values.elementAt(var3);
         }
      }

      return null;
   }

   synchronized Object put(Object var1, Object var2) {
      Object var3 = this.remove(var1);
      this.keys.addElement(var1);
      this.values.addElement(var2);
      return var3;
   }

   Object remove(Object var1) {
      return this.remove(var1, false);
   }

   synchronized Object remove(Object var1, boolean var2) {
      int var3 = this.keys.size();

      for(int var4 = 0; var4 < var3; ++var4) {
         if (this.keys.elementAt(var4).equals(var1)) {
            this.keys.removeElementAt(var4);
            Object var5 = this.values.elementAt(var4);
            this.values.removeElementAt(var4);
            return var5;
         }
      }

      return null;
   }

   synchronized boolean isEmpty() {
      return this.keys.isEmpty();
   }
}
