package netscape.applet;

class TaskThreadGroup extends ThreadGroup {
   Task task;

   TaskThreadGroup(String var1, Task var2) {
      super(AppletThreadKiller.clientThreadGroup, var1);
      this.task = var2;
      SecurityManager.enablePrivilege("UniversalThreadGroupAccess");
      ((ThreadGroup)this).setMaxPriority(6);
   }

   Task task() {
      return this.task;
   }

   public void uncaughtException(Thread var1, Throwable var2) {
      if (!(var2 instanceof ThreadDeath)) {
         String var3 = var2.getMessage();
         System.err.println("Applet exception: " + var3);
         var2.printStackTrace(System.err);
      }
   }

   void destroyItDamnIt() {
      ((ThreadGroup)this).destroy();
      this.task = null;
   }
}
